> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/pt-br/web-scraper-api/features/result-processing-and-storage/dedicated-parsers.md).

# Parsers dedicados

Para algumas fontes do Web Scraper API, desenvolvemos parsers dedicados. Se você quiser obter dados estruturados, adicione o `parse` parâmetro e defina-o como `true`. Encontre mais detalhes nas respectivas páginas de destino.

<table><thead><tr><th width="180.33333333333331">Alvo</th><th width="294">Fontes</th><th>Tipos</th></tr></thead><tbody><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/46f9ad28d24826dcffa1094230cd485773bfaef1"><strong>Amazon</strong></a></td><td><code>amazon</code>,<br><code>amazon_search</code>,<br><code>amazon_product</code>,<br><code>amazon_pricing</code>,<br><code>amazon_bestsellers</code>,<br><code>amazon_sellers</code></td><td>Busca<br>Produto<br>Listagem de ofertas<br>Mais vendidos<br>Vendedores</td></tr><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/7a124cd3d2ac6d7bd90b758b93df602722bf2157"><strong>Google</strong></a></td><td><code>google</code>,<br><code>google_search</code>,<br><code>google_ai_mode</code>,<br><code>google_ads</code>,<br><code>google_lens</code>,<br><code>google_scholar</code>,<br><code>google_shopping_search</code>,<br><code>google_shopping_product</code></td><td>Busca na web<br>Busca de imagens<br>Busca de notícias<br>Busca de livros<br>AI Overviews<br>Modo de IA<br>Taxa máxima de anúncios<br>Busca no Lens<br>Busca no Scholar<br>Busca no Google Shopping<br>Produto do Google Shopping</td></tr><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/f49652f4b9f2c3674fc9a2ecc1f4162973df2495"><strong>YouTube</strong></a></td><td><code>youtube_search</code>,<br><code>youtube_video_trainability</code>,<br><code>youtube_metadata</code>,<br><code>youtube_subtitles</code>,<br><code>youtube_channel</code></td><td>Busca<br>Treinabilidade de vídeo<br>Metadados de vídeo<br>Legendas de vídeo<br>Canal</td></tr><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/65fa2c7cdb846d7522c1e7e8c5d813ff2316f459"><strong>ChatGPT</strong></a></td><td><code>chatgpt</code></td><td>Chat</td></tr><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/95494c972f48aa60a8d5d1162447e24ef19657f0"><strong>Perplexity</strong></a></td><td><code>perplexity</code></td><td>Chat</td></tr><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/36c9f8f91694f38bc79bdc7b3459b7d084153ef0"><strong>Bing</strong></a></td><td><code>bing</code>,<br><code>bing_search</code></td><td>Busca</td></tr><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/1d6e96cf4a21f1f554460a22871928c9a00fa113"><strong>Walmart</strong></a><br></td><td><code>walmart</code>,<br><code>walmart_search</code>,<br><code>walmart_product</code></td><td>Busca<br>Produto</td></tr><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/8d1a51fbb6b9e9f581944f09e3d3ea50ec738d09"><strong>Best Buy</strong></a></td><td><code>bestbuy_product</code></td><td>Produto</td></tr><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/78b6bebdf265465e3478d51616769fff5dba9d59"><strong>Etsy</strong></a></td><td><code>etsy</code>,<br><code>etsy_product</code></td><td>Produto</td></tr><tr><td><a href="/spaces/gX8vttpPiyavlcSeOiGz/pages/1d394d45c1b6c43ba727011108b03c7d2501b172"><strong>Alvo</strong></a></td><td><code>target</code>,<br><code>target_search</code>,<br><code>target_product</code></td><td>Busca<br>Produto</td></tr></tbody></table>

{% hint style="success" %}
Se você quiser obter dados analisados de outros alvos, use [**Custom Parser**](/products/pt-br/web-scraper-api/features/custom-parser.md)**.**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/products/pt-br/web-scraper-api/features/result-processing-and-storage/dedicated-parsers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
